CVE-2016-0749

The smartcard interaction in SPICE allows remote attackers to cause a denial of service (QEMU-KVM process crash) or possibly execute arbitrary code via vectors related to connecting to a guest VM, which triggers a heap-based buffer overflow.

Published : 2016-06-09 16:59 Updated : 2019-04-22 17:48

10.0
CVSS Score More info
Score 10.0 / 10
10.0
Vendor Product Version URI
Redhat Enterprise Linux 6.0 cpe:/o:redhat:enterprise_linux:6.0::~~scientific_computing~~~
Redhat Enterprise Linux Server Eus 7.2 cpe:/o:redhat:enterprise_linux_server_eus:7.2
Redhat Enterprise Linux 7.0 cpe:/o:redhat:enterprise_linux:7.0::~~scientific_computing~~~
Debian Debian Linux 8.0 cpe:/o:debian:debian_linux:8.0
Spice Project Spice - cpe:/a:spice_project:spice:-
Redhat Enterprise Linux Workstation 6.0 cpe:/o:redhat:enterprise_linux_workstation:6.0
Redhat Enterprise Linux Server 6.0 cpe:/o:redhat:enterprise_linux_server:6.0
Redhat Enterprise Linux Server 7.0 cpe:/o:redhat:enterprise_linux_server:7.0
Redhat Enterprise Linux Workstation 7.0 cpe:/o:redhat:enterprise_linux_workstation:7.0
Redhat Enterprise Linux 7.0 cpe:/o:redhat:enterprise_linux:7.0
Redhat Enterprise Linux Desktop 6.0 cpe:/o:redhat:enterprise_linux_desktop:6.0
Redhat Enterprise Linux Desktop 7.0 cpe:/o:redhat:enterprise_linux_desktop:7.0
Redhat Enterprise Linux Server Aus 7.2 cpe:/o:redhat:enterprise_linux_server_aus:7.2
Redhat Enterprise Linux Hpc Node Eus 7.2 cpe:/o:redhat:enterprise_linux_hpc_node_eus:7.2
Opensuse Leap 42.1 cpe:/o:opensuse:leap:42.1
Opensuse Opensuse 13.2 cpe:/o:opensuse:opensuse:13.2
Redhat Enterprise Linux 6.0 cpe:/o:redhat:enterprise_linux:6.0
  1. Debian (1) Search CVE
    1. Debian Linux (1) Search CVE
      1. 8.0
  2. Opensuse (2) Search CVE
    1. Leap (1) Search CVE
      1. 42.1
    2. Opensuse (1) Search CVE
      1. 13.2
  3. Redhat (7) Search CVE
    1. Enterprise Linux Hpc Node Eus (1) Search CVE
      1. 7.2
    2. Enterprise Linux Server Aus (1) Search CVE
      1. 7.2
    3. Enterprise Linux Server Eus (1) Search CVE
      1. 7.2
    4. Enterprise Linux Desktop (2) Search CVE
      1. 6.0
      2. 7.0
    5. Enterprise Linux (2) Search CVE
      1. 6.0
      2. 7.0
    6. Enterprise Linux Server (2) Search CVE
      1. 6.0
      2. 7.0
    7. Enterprise Linux Workstation (2) Search CVE
      1. 6.0
      2. 7.0
  4. Spice Project (1) Search CVE
    1. Spice (1) Search CVE
      1. -

CWE

ID Name Description Links
CWE-119 Improper Restriction of Operations within the Bounds of a Memory Buffer The software performs operations on a memory buffer, but it can read from or write to a memory location that is outside of the intended boundary of the buffer. CVE

History of changes

Date Event
2019-04-22 17:48
2018-10-30 16:27
2016-06-09 16:59

New CVE